# Uses of Interface
org.eclipse.ui.ISaveablesLifecycleListener

Packages that use ISaveablesLifecycleListener
Package
Description
org.eclipse.ui.navigator
Provides the Common Navigator framework.

## Uses of ISaveablesLifecycleListener in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator with parameters of type ISaveablesLifecycleListener
Modifier and Type
Method
Description
`void`
INavigatorSaveablesService.`init(ISaveablesSource source, StructuredViewer viewer, ISaveablesLifecycleListener listener)`
Initializes this service.
`final void`
SaveablesProvider.`init(ISaveablesLifecycleListener listener)`
Initializes this SaveablesProvider with the given listener, and calls the hook method doInit().